package com.fzm.mall.server.admin.goods_center.enums.type;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author wangp
 * @date 2021/3/12 13:49
 * @description 发币类型
 * @since JDK 1.8
 */
public enum CommodityPassTypeEnum {

    NO(0),//不发币
    INNER(1),//内部发行
    OUT(2),//外部绑定
    COPY(3);//外部绑定直发

    private Integer type;

    CommodityPassTypeEnum(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public static List<Integer> getValueList() {
        return Arrays.stream(CommodityPassTypeEnum.values())
                .map(CommodityPassTypeEnum::getType)
                .collect(Collectors.toList());
    }
}
